Bug 460794 - Can't play midi file in Linux.
Can't play midi file in Linux.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kdemultimedia (Show other bugs)
5.2
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
: HardwareEnablement
Depends On:
Blocks: 447297
  Show dependency treegraph
 
Reported: 2008-09-01 02:51 EDT by wayneh
Modified: 2009-06-20 01:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 11:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wayneh 2008-09-01 02:51:05 EDT
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0.04506.648)

When I play a midi file, there is no sound.

Reproducible: Always

Steps to Reproduce:
1.Install RedHat RHEL 5.2 (64bit).
2.Use the native audio driver of Linux.
3.Connect speaker to Line out and enter X window.
4.Click Applications->select Sound & Video->select KMid and launch it.  
5.play a midi file with Kmid.
6.No sound output from speaker.
Actual Results:  
There is no sound play through speaker when I play the midi file.

Expected Results:  
There is sound play through speaker when I play the midi file.
Comment 1 Phil Knirsch 2008-12-22 06:37:00 EST
Can you hear sounds with other audio applications?
Comment 2 wayneh 2009-01-05 04:49:41 EST
I can hear sound if I Play MP3 file with Realplay 11 gold.
Comment 3 Ngo Than 2009-01-14 11:01:48 EST
it's problem that your soundcard doesn't have hardware Midi synthesizer.
kmid requires either external Midi hardware or a PC sound card which has a hardware Midi synthesizer to get sound.

If you don't have such hardware and want to play Midi files you need timidity++ that can convert midi files to wav file. As i know this package is not available in RHEL, but you can get it in fedora.

Note You need to log in before you can comment on or make changes to this bug.